### Hierarchy

- Hamburger

## Index

### Inputs

- active

### Outputs

- selected

### Constructors

- constructor

### Properties

- active
- i18n
- selected

### Methods

- doClick

## Constructors

### constructor

- new Hamburger(i18n: I18n): Hamburger

- - Defined in src/ui-shell/header/hamburger.component.ts:40

  #### Parameters

  - ##### i18n: I18n

  #### Returns Hamburger

## Properties

### active

@Input()
active: boolean = false

- Defined in src/ui-shell/header/hamburger.component.ts:35

### i18n

i18n: I18n

- Defined in src/ui-shell/header/hamburger.component.ts:42

### selected

@Output()
selected: EventEmitter<Object> = new EventEmitter<Object>()

- Defined in src/ui-shell/header/hamburger.component.ts:40

## Methods

### doClick

- doClick(): void

- - Defined in src/ui-shell/header/hamburger.component.ts:47

  #### Returns void

Generated using TypeDoc